summaryrefslogtreecommitdiff
path: root/tests/rm/read-only.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/read-only.sh')
-rwxr-xr-xtests/rm/read-only.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/rm/read-only.sh b/tests/rm/read-only.sh
index 1ac8f27a8..377305cd0 100755
--- a/tests/rm/read-only.sh
+++ b/tests/rm/read-only.sh
@@ -42,7 +42,7 @@ test $skip = 1 \
# Applying rm -f to a nonexistent file on a read-only file system must succeed.
rm -f mnt/no-such > out 2>&1 || fail=1
# It must produce no diagnostic.
-test -s out && fail=1
+compare /dev/null out || fail=1
# However, trying to remove an existing file must fail.
rm -f mnt/f > out 2>&1 && fail=1